package com.neko.domain.pojo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.util.Date;
import lombok.Data;

/**
 * 群组成员表
 * @TableName group_member
 */
@TableName(value ="group_member")
@Data
public class GroupMember implements Serializable {
    /**
     * id
     */
    @TableId
    private String id;

    /**
     * 群id
     */
    private String groupId;

    /**
     * 用户id
     */
    private String userId;

    /**
     * 角色id（1群主 2管理员 3普通成员）
     */
    private Integer roleId;

    /**
     * 用户在群里的昵称
     */
    private String nickname;

    /**
     * 加入时间
     */
    private Date joinTime;

    /**
     * 最后活跃时间
     */
    private Date lastActiveTime;

    /**
     * 是否禁言（0否 1是）
     */
    private Integer isMute;

    /**
     * 是否置顶（0否 1是）
     */
    private Integer isTop;

    /**
     * 未读消息数
     */
    private Integer unreadCount;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新时间
     */
    private Date updateTime;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}
