package com.neko.domain.pojo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.util.Date;
import lombok.Data;

/**
 * 消息主表
 * @TableName message
 */
@TableName(value ="message")
@Data
public class Message implements Serializable {
    /**
     * 消息id
     */
    @TableId
    private String id;

    /**
     * 消息唯一标识
     */
    private String messageId;

    /**
     * 发送者id
     */
    private String senderId;

    /**
     * 接收者id
     */
    private String receiverId;

    /**
     * 接收者类型 1用户 2组群
     */
    private Integer receiverType;

    /**
     * 消息类型 1文本 2图片 3语音 4视频 5文件 6位置 7系统
     */
    private Integer messageType;

    /**
     * 内容ID
     */
    private String contentId;

    /**
     * 是否加密
     */
    private Integer isEncrypted;

    /**
     * 消息状态
     */
    private Integer status;

    /**
     * 发送时间
     */
    private Date sendTime;

    /**
     * 创建时间
     */
    private Date createTime;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}
