package com.neko.utils;

import lombok.Data;

import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.Random;

/**
 * @Date 2025/5/15 17:19
 * @Author neko
 **/
@Data
public class OrderNumber {
    private static final Random RANDOM = new Random();

    /**
     * 生成格式化订单号：日期+随机数
     * 例如：2025051500001
     */
    public static String generateOrderNumber() {
        SimpleDateFormat sdf = new SimpleDateFormat("yyyyMMddHHmmss");
        String datePart = sdf.format(new Date());

        // 生成5位随机数
        int randomNum = RANDOM.nextInt(90000) + 10000;

        return datePart + randomNum;
    }

    public static void main(String[] args) {
        System.out.println(generateOrderNumber());
    }
}
